curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"total_pages": 1,
"total_items": 1,
"data": [
{
"account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"address_id": "8b7e6430-db4b-4826-90e3-af2f81bf6d23",
"address_label": "Add Address Book Test",
"address_status": 1,
"address_type": 2000,
"create_time": "2026-07-24 10:29:26",
"currency": "USDT",
"meta_data": {
"wallet_type": "unhosted",
"address_party": "first_party"
},
"need_travel_rule": false,
"network": "ETH",
"verification_status": 1,
"wallet_address": "0x8a20BC13F71b2204c48F1a1e3fC425710767a2c2"
}
]
}
}List Address Book
Query wallet address book list with multi-condition filtering support. Stablecoin Account API Publisher Disclaimer
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"message": "Success",
"data": {
"total_pages": 1,
"total_items": 1,
"data": [
{
"account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
"address_id": "8b7e6430-db4b-4826-90e3-af2f81bf6d23",
"address_label": "Add Address Book Test",
"address_status": 1,
"address_type": 2000,
"create_time": "2026-07-24 10:29:26",
"currency": "USDT",
"meta_data": {
"wallet_type": "unhosted",
"address_party": "first_party"
},
"need_travel_rule": false,
"network": "ETH",
"verification_status": 1,
"wallet_address": "0x8a20BC13F71b2204c48F1a1e3fC425710767a2c2"
}
]
}
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Page number, default 1
x >= 11
Items per page, default 10
x >= 110
Filter by currency
"USDT"
Filter by network
"ETH"
Filter by address type (1000=Exchange, 2000=Personal)
1000, 2000 2000
Filter by address status
1
Filter by verification status (1=Verified, 2=Failed)
1, 2 1
Filter by wallet address
"0x8a20BC13F71b2204c48F1a1e3fC425710767a2c2"
Filter by address label
"Add Address Book Test"
Which kind of entries to return. whitelist (default) returns withdrawal destination addresses; deposit_sender returns the deposit-sender entries recorded via Submit Deposit Sender Travel Rule. Omit it to keep the previous behavior of returning only withdrawal addresses.
whitelist, deposit_sender "whitelist"

